Opened 3 years ago

Closed 8 months ago

#2155 closed Task (fixed)

ASINTER-02_Clementi_wave-mixing

Reported by: emanuelaclementi Owned by: emanuelaclementi
Priority: high Milestone: IMMERSE 2020
Component: ZDF Version: trunk
Severity: minor Keywords:
Cc: Branch review: passed
MP ready?: no Task progress: Ongoing During 2019 the following activities have been carried out: * the NEMO-wave code development provided in the context of the WAVE2NEMO CMEMS Service Evolution Project and related to modified GLS routine (including enhanced mixing due to breaking waves in turbulent kinetic energy surface boundary conditions) has been gathered, checked and an initial work has been performed in order to align with NEMO v4.0.1 * The NEMO-wave code developments provided in the context of Couvelard et al., 2019 paper (Madec developments) have been gathered and a check is ongoing on the TKE routine modifications due to the contribution of the Stokes Drift and to the injection of TKE at the surface due to a wave breaking dissipation term Due to the need of better investigate and include the work of Couvelard et al. (2019), which was not foreseen when writing IMMERSE proposal, this activity will be finalized in February 2020.

Description (last modified by emanuelaclementi)

Summary

Action ASINTER-02_Clementi_wave-mixing
PI(S) Emanuela Clementi
Digest upgrade the ocean-wave coupling representation by including recent works on enhanced ocean mixing due to breaking waves
Dependencies
Branch NEMO/branches/$YEAR/dev_r{REV}_{ACTION_NAME}
Previewer(s) Gurvan Madec
Reviewer(s)
Wiki wiki:${YEAR}WP/...

Abstract

Upgrade the ocean-wave coupling representation by including recent works on enhanced ocean mixing due to breaking waves

Description

This action is an activity of IMMERSE Task5.2 and focus on the upgrade the ocean-wave coupling representation by gathering recent works on enhanced ocean mixing due to breaking waves (Couvelard et al., 2019 and outcomes from WAVE2NEMO CMEMS service evolution project).
This is the first step to be achieved by end 2019. The final aim is to include an additional wave coupling development by mid 2020, which consists in modified vertical mixing due to breaking waves: the energy flux explicitly evaluated by a wave model (through the dissipation term in the wave energy balance equation) will be used as a new source of vertical mixing scheme.

Implementation

A branch will be created gathering recent works on enhanced ocean mixing due to breaking waves.
The implementation then will be finalized (by mid 2020) by adding a new source term in the vertical mixing as an energy flux explicitly evaluated by a wave model.

Reference manual and web pages updates

Using part 1 and 2, define the summary of changes to be done in reference manuals (tex files), guide (rst files) and in the content of web pages.

Once the PI has completed this section, he should send a mail to the previewer(s) asking them to preview the work within two weeks.

Commit History (13)

ChangesetAuthorTimeChangeLog
13990emanuelaclementi2020-12-02T13:51:20+01:00

sette updates to test wave forcing in ORCA2_ICE_PISCES - ticket #2155 #2339

13951emanuelaclementi2020-12-01T18:38:26+01:00

restored ORCA2_ICE_PISCES options to use wave fields - ticket #2155 #2339

13949emanuelaclementi2020-12-01T18:30:26+01:00

updates to run ORCA2_ICE_PISCES test forced with wave fields - ticket #2155 #2339

13948emanuelaclementi2020-12-01T18:23:33+01:00

updates to run ORCA2_ICE_PISCES test forced with wave fields - ticket #2155 #2339

13947emanuelaclementi2020-12-01T18:13:02+01:00

minor changes in comments - ticket #2155 #2339

13873emanuelaclementi2020-11-25T14:27:03+01:00

corrections from previous commit in zdftke.F90 - ticket #2155 #2339

13852emanuelaclementi2020-11-23T16:07:16+01:00

merge with trunk@13787 - ticket #2155 and #2339

13851emanuelaclementi2020-11-23T15:24:10+01:00

corrections for zdftke Neumann BC plus loop alignement - ticket #2155 #2339

13759emanuelaclementi2020-11-09T18:04:19+01:00

minor changes to include writing statements and update n. of max coupling fields with oasis - tickets #2155 #2339

13710emanuelaclementi2020-11-02T10:56:42+01:00

branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves: merge with trunk@13708, see #2155 and #2339

13053emanuelaclementi2020-06-05T10:19:47+02:00

#2155 Bug fix in sbcwave in branch dev_r12702_ASINTER-02_emanuelaclementi_Waves

12991emanuelaclementi2020-05-29T12:58:31+02:00

Included wave-current processes following Couvelard et al 2019 and Gurvan code -ticket #2155

12990emanuelaclementi2020-05-29T12:27:04+02:00

Create ASINTER-02 dev branch ticket #2155

Change History (21)

comment:1 Changed 3 years ago by nemo

  • Priority changed from low to high

comment:2 Changed 23 months ago by emanuelaclementi

  • Task progress set to Ongoing. Follwong IMMERSE WP, a branch will be created by end 2019 gathering recent works on enhanced ocean mixing due to breaking waves. The implementation then will be finalized (by mid 2020)

comment:3 Changed 19 months ago by emanuelaclementi

During 2019 the following activities have been carried out:

  • the NEMO-wave code development provided in the context of the WAVE2NEMO CMEMS Service Evolution Project and related to modified GLS routine (including enhanced mixing due to breaking waves in turbulent kinetic energy surface boundary conditions) has been gathered, checked and an initial work has been performed in order to align with NEMO v4.0.1
  • The NEMO-wave code developments provided in the context of Couvelard et al., 2019 paper (Madec developments) have been gathered and a check is ongoing on the TKE routine modifications due to the contribution of the Stokes Drift and to the injection of TKE at the surface due to a wave breaking dissipation term

Due to the need of better investigate and include the work of Couvelard et al. (2019), which was not foreseen when writing IMMERSE proposal, this activity will be finalized in February 2020.

comment:4 Changed 19 months ago by emanuelaclementi

  • Description modified (diff)
  • Task progress changed from Ongoing. Follwong IMMERSE WP, a branch will be created by end 2019 gathering recent works on enhanced ocean mixing due to breaking waves. The implementation then will be finalized (by mid 2020) to Ongoing During 2019 the following activities have been carried out: * the NEMO-wave code development provided in the context of the WAVE2NEMO CMEMS Service Evolution Project and related to modified GLS routine (including enhanced mixing due to breaking waves in turbulent kinetic energy surface boundary conditions) has been gathered, checked and an initial work has been performed in order to align with NEMO v4.0.1 * The NEMO-wave code developments provided in the context of Couvelard et al., 2019 paper (Madec developments) have been gathered and a check is ongoing on the TKE routine modifications due to the contribution of the Stokes Drift and to the injection of TKE at the surface due to a wave breaking dissipation term Due to the need of better investigate and include the work of Couvelard et al. (2019), which was not foreseen when writing IMMERSE proposal, this activity will be finalized in February 2020.

comment:5 Changed 18 months ago by emanuelaclementi

  • Milestone changed from IMMERSE 2019 to IMMERSE 2020
  • Type changed from Task to Enhancement

comment:6 Changed 17 months ago by emanuelaclementi

  • Description modified (diff)

comment:7 Changed 16 months ago by clevy

  • Type changed from Enhancement to Task

comment:8 Changed 14 months ago by emanuelaclementi

In 12990:

Create ASINTER-02 dev branch ticket #2155

comment:9 Changed 14 months ago by emanuelaclementi

In 12991:

Included wave-current processes following Couvelard et al 2019 and Gurvan code -ticket #2155

comment:10 Changed 14 months ago by emanuelaclementi

In 13053:

#2155 Bug fix in sbcwave in branch dev_r12702_ASINTER-02_emanuelaclementi_Waves

comment:11 Changed 9 months ago by emanuelaclementi

In 13710:

branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves: merge with trunk@13708, see #2155 and #2339

comment:12 Changed 9 months ago by emanuelaclementi

In 13759:

minor changes to include writing statements and update n. of max coupling fields with oasis - tickets #2155 #2339

comment:13 Changed 8 months ago by emanuelaclementi

In 13851:

corrections for zdftke Neumann BC plus loop alignement - ticket #2155 #2339

comment:14 Changed 8 months ago by emanuelaclementi

In 13852:

merge with trunk@13787 - ticket #2155 and #2339

comment:15 Changed 8 months ago by emanuelaclementi

In 13873:

corrections from previous commit in zdftke.F90 - ticket #2155 #2339

comment:16 Changed 8 months ago by emanuelaclementi

In 13947:

minor changes in comments - ticket #2155 #2339

comment:17 Changed 8 months ago by emanuelaclementi

In 13948:

updates to run ORCA2_ICE_PISCES test forced with wave fields - ticket #2155 #2339

comment:18 Changed 8 months ago by emanuelaclementi

In 13949:

updates to run ORCA2_ICE_PISCES test forced with wave fields - ticket #2155 #2339

comment:19 Changed 8 months ago by emanuelaclementi

In 13951:

restored ORCA2_ICE_PISCES options to use wave fields - ticket #2155 #2339

comment:20 Changed 8 months ago by emanuelaclementi

In 13990:

sette updates to test wave forcing in ORCA2_ICE_PISCES - ticket #2155 #2339

comment:21 Changed 8 months ago by emanuelaclementi

  • Branch review changed from failed to passed
  • Resolution set to fixed
  • Status changed from new to closed

branches/2020/dev_r12702_ASINTER-02_emanuelaclementi_Waves merged in trunk@14008

Note: See TracTickets for help on using tickets.